Bug 1253584 - Panic in crypto_exit_ops() during shutdown , 4.1.3-100.fc21
Panic in crypto_exit_ops() during shutdown , 4.1.3-100.fc21
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
21
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-14 03:31 EDT by Martin Wilck
Modified: 2015-12-02 13:16 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:56:00 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of panic message (3.68 MB, image/jpeg)
2015-08-14 03:31 EDT, Martin Wilck
no flags Details

  None (edit)
Description Martin Wilck 2015-08-14 03:31:46 EDT
Created attachment 1062913 [details]
screenshot of panic message

Description of problem:
Since update to 4.1.3-100.fc21, my system repeatedly crashed during shutdown 

Version-Release number of selected component (if applicable):
4.1.3-100.fc21,

How reproducible:
well reproducable, maybe always during shutdown.


Steps to Reproduce:
I am using ecryptfs on my home directory. The error seems to occur when ecryptfs is unmounted.

Actual results:
RIP: crypto_exit_ops+0xd/0x60

Stack:
crypto_destroy_tfm+0x38/0x90
cryptd_blkcipher_exit_tfm+0x15/0x20
crypto_destroy_tfm+0x89/0x90
cryptd_free_ablkcipher+0x11/0x28
ablk_exit+0x12/0x20
crypto_destroy_tfm+0x89/0x90
skcipher_geniv_exit+0x15/0x20
crypto_destroy_tfm+0x89/0x90
ecryptfs_destroy_crypt_stat+0x24/0xb0
ecryptfs_destroy_inode+0x27/0x50
destroy_inode+0x3c/0x70
evict+0x187/0x190
dispose_list+0x3e/0x60
evict_inodes+0xc8/0x120
generic_shutdown_suprt+0x4c/0x100
kill_anon_super+0x16/0x30
ecryptfs_kill_block_super+0x1a/0x50
deactivate_locked_super+0x49/0x80
deactivate_super+0x6c/0x80
cleanup_mnt+0x43/0xa8
? __audit_syscall_exit+0x1f6/0x290
__cleanup_mnt+0x12/0x20
task_work_run+0xd4/0xf0
do_notify_resume+0x8d/0xa0
int_signal+0x12/0x17

Code: [...] 48 8b 47 50 55 48 89 e5 <48> 83 b8 00 00 00 00


Expected results:
No panic

Additional info:
There is a similar case where just a WARNING is emitted, I observed it once on Di 11 Aug 2015 08:13:28 CEST. It has been reported to https://retrace.fedoraproject.org/faf/reports/766405/, https://retrace.fedoraproject.org/faf/problems/1159258/

The stack is identical to the panic stack except for the uppermost part:

:WARNING: CPU: 0 PID: 17652 at mm/slub.c:3384 ksize+0xe0/0xf0()
:CPU: 0 PID: 17652 Comm: umount Not tainted 4.1.3-100.fc21.x86_64 #1
:Hardware name: FUJITSU LIFEBOOK E744/FJNB26F, BIOS Version 1.11 05/23/2014
: 0000000000000000 000000004584e4a2 ffff8803f3b9bb68 ffffffff81793b35
: 0000000000000000 0000000000000000 ffff8803f3b9bba8 ffffffff810a161a
: ffff8803f3b9bbc8 ffffea0001b04840 ffff88006c121c00 0000000000000000
:Call Trace:
: [<ffffffff81793b35>] dump_stack+0x45/0x57
: [<ffffffff810a161a>] warn_slowpath_common+0x8a/0xc0
: [<ffffffff810a174a>] warn_slowpath_null+0x1a/0x20
: [<ffffffff81204af0>] ksize+0xe0/0xf0
: [<ffffffff811cf2dc>] kzfree+0x1c/0x40
: [<ffffffff813532ed>] crypto_destroy_tfm+0x4d/0x90
: [<ffffffff81367555>] cryptd_blkcipher_exit_tfm+0x15/0x20
(below here, same stack as above).

I would call this a regression because I never saw it before I upgraded to 4.1.3-100.fc21 on Mon Aug 10.
Comment 1 Laura Abbott 2015-08-14 10:30:26 EDT
can you try the latest 4.1.5 update available in testing? There was a known issue with HID corruption which tended to show up on shutdown
Comment 2 Fedora End Of Life 2015-11-04 05:51:17 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-12-02 09:56:10 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.